import { ElementRef, OnInit } from "@angular/core";
import { StiEditorProperty } from "../../../../services/objects";
import { StiModelService } from "../../../../services/model.service";
import { StiHelperService } from "../../../../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class AutoCompleteEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    autoComplete: ElementRef;
    property: StiEditorProperty;
    obj?: any;
    constructor(model: StiModelService, helper: StiHelperService);
    get items(): any[];
    get value(): string;
    set value(val: string);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoCompleteEditorComponent, "auto-complete-editor", never, { "property": { "alias": "property"; "required": false; }; "obj": { "alias": "obj"; "required": false; }; }, {}, never, never, false, never>;
}
